com.holonplatform.spring.internal

## Class AbstractRepeatableAnnotationRegistrar

- java.lang.Object
- - com.holonplatform.spring.internal.AbstractRepeatableAnnotationRegistrar

- All Implemented Interfaces:
    org.springframework.context.annotation.ImportBeanDefinitionRegistrar

      public abstract class AbstractRepeatableAnnotationRegistrar
      extends Object
      implements org.springframework.context.annotation.ImportBeanDefinitionRegistrar

  Abstract class to support bean registrations using `Repeatable` annotations.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRepeatableAnnotationRegistrar(Class<? extends Annotation> repeatableAnnotation, Class<? extends Annotation> repeatableAnnotationContainer)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.annotation.ImportBeanDefinitionRegistrar

      `registerBeanDefinitions`

- - ### Constructor Detail

    - #### AbstractRepeatableAnnotationRegistrar

          public AbstractRepeatableAnnotationRegistrar(Class<? extends Annotation> repeatableAnnotation,
                                                       Class<? extends Annotation> repeatableAnnotationContainer)

      Constructor
      Parameters:
        `repeatableAnnotation` - Repeatable configuration annotation class
        `repeatableAnnotationContainer` - Repeatable configuration annotation container class

  - ### Method Detail

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

Copyright © 2019 The Holon Platform. All rights reserved.